com.sun.grid.jgdi.security

## Class SecurityHelper

- java.lang.Object
- - com.sun.grid.jgdi.security.SecurityHelper

-     public class SecurityHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCertificate()`
    `static java.lang.String` | `getPrivateKey()`
    `static java.lang.String` | `getUsername()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityHelper

          public SecurityHelper()

  - ### Method Detail

    - #### getUsername

          public static java.lang.String getUsername()

    - #### getPrivateKey

          public static java.lang.String getPrivateKey()

    - #### getCertificate

          public static java.lang.String getCertificate()
                                                 throws java.security.cert.CertificateEncodingException

      Throws:
        `java.security.cert.CertificateEncodingException`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.